Subject: Re: What's cooking in git.git (topics)

From: Jakub Narebski <[email-masked]>
Date: Tue, 05 Feb 2008 02:24:19 -0800 (PST)

Junio C Hamano <[email-masked]> writes:

> * jc/submittingpatches (Sun Feb 3 17:02:28 2008 -0800) 3 commits
>  + Documentation/SubmittingPatches: What's Acked-by and Tested-by?
>  + Documentation/SubmittingPatches: discuss first then submit
>  + Documentation/SubmittingPatches: Instruct how to use [PATCH]
>    Subject header
> 
> These I think are sensible but they did not see much discussion,
> so they are parked here for now.

In those series I think the middle patch could be improved. I guess
that need for brevity overcame need for being explicit. I don't know
if patches meant for discussion are to be send to mailing list only,
or if the patches meant for submissions are to be sent to git mailing
list _and_ maintainer (and is it an error to send them only to the
list) from this description.

The rest patches are IMHO very good improvement.
 
> ----------------------------------------------------------------
> [Will merge to 'master' after 1.5.4.1]
> 
> * ph/describe-match (Mon Dec 24 12:18:22 2007 +0100) 2 commits
>  + git-name-rev: add a --(no-)undefined option.
>  + git-describe: Add a --match option to limit considered tags.

I'd really like that.

IIRC there was also patch which did '~' expansion in paths provided
via options to git, but 1.) is was buggy, 2.) it dealt only with
excludefile, and not for example with --git-dir and --work-dir
arguments, 3.) it was not resend for furrther discussion.

-- 
Jakub Narebski
Poland
ShadeHawk on #git